package test.org.itscool.commons.util;
import java.io.File;
import java.io.FileWriter;

/*
 * 作成日: 2006/10/26
 */

/**
 * @author Michiaki_Kano
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class SampleTmpFile {

    public static void main(String[] args) throws Exception {
        System.out.println("======= < "+SampleTmpFile.class.getName() + "> テスト開始 =======");
//        System.out.println(System.getProperty("java.io.tmpdir"));
        closeTmpFile();
        nonCloseTmpFile();
        
        System.out.println("しばらく待ちます");
        Thread.sleep(10000);
        System.out.println("======= < "+SampleTmpFile.class.getName() + "> テスト終了 =======");
    }
    
    public static void closeTmpFile() throws Exception{
        File tempFile =    File.createTempFile("myApp", ".tmp");
        tempFile.deleteOnExit();
        
        System.out.println("------- < closeTmpFile() > ファイルオープン -------");
        System.out.println(tempFile.getAbsolutePath());
        FileWriter fw = new FileWriter(tempFile);
        fw.write("hello");
        
        fw.close();
        System.out.println("------- < closeTmpFile() > ファイルクローズ -------");
    }
    
    public static void nonCloseTmpFile() throws Exception{
        File tempFile =    File.createTempFile("myApp", ".tmp");
        tempFile.deleteOnExit();

        
        System.out.println("------- < nonCloseTmpFile() > ファイルオープン -------");
        System.out.println(tempFile.getAbsolutePath());
        FileWriter fw = new FileWriter(tempFile);
        fw.write("hello");
        
        
    }
}
